//      _________________________________________
//_____/                                         \ 
//____/   coeur.js - paramétrages spécifiques     \ 
//    \___________________________________________/  
//
//

//Paramétrages de l'application
Affiche_titre_navigateur("La machine à clown : calcul mental sérieux");

//Variables pour les dimensions
var largConteneur=900;
var hautConteneur=273;
var wtot=document.body.offsetWidth;
var margeg=parseInt((wtot - largConteneur) / 2);
var deplacement=true;
var compteur=true;

//#Variables pour l'affichage de la grille des nombres
var gx=10;
var gy=10;
var hazmax=10;

//Variables pour les options
var change_option = false;
var constructions=new Array("clown3","clown4","maison_130","maison_230","maison_232","maison_242","maison_267","chantier_playmobil_1","chantier_playmobil_2","chantier_playmobil_3","chantier_playmobil_4","chantier_playmobil_5","chantier_playmobil_6","legos_1","legos_2","legos_3","legos_4","legos_5","legos_6","parking_1","parking_2","parking_3","parking_4","parking_5","parking_6","pois_1","pois_2","pois_3","pois_4","pois_5","pois_6");
var types_scores = new Array("objectif3","objectif6","chrono5","chrono10","minuteur1","minuteur2");
var nbcalculs = 0; var nbcalculsz=Recupere_GET("nbcalculs"); if(nbcalculsz !== "")nbcalculs=nbcalculsz;
var nbreussites = 0; var nbreussitesz=Recupere_GET("nbreussites"); if(nbreussitesz !== "")nbreussites=nbreussitesz;
var temps = 0; var tempsz=Recupere_GET("temps"); if(tempsz !== "")temps=tempsz;
var chrono = 0; var zechrono=null;
var dureemaxi = 600; //10 minutes maxi de jeu chronométré
var niveau = "tables5"; var niveauz=Recupere_GET("niveau"); if(niveauz !== "")niveau=niveauz;
var type = "fab"; var typez=Recupere_GET("type"); if(typez !== "")type=typez;
var mode = "entrainement"; var modez=Recupere_GET("mode"); if(modez !== "")mode=modez;
var score = "objectif3"; var scorez=Recupere_GET("score");if(scorez !== "")score=scorez;
var construction = "clown3"; var constructionz=Recupere_GET("construction");if(constructionz !== "")construction=constructionz;
if(constructions.indexOf(construction)==-1)construction="clown3";
//var niveaux=new Array("points4","points13","nb4","nb13","nb40","nb121");

//Centrer les div
Centre_element("bandeau");
Centre_element("parametres");
Centre_element("fond_conteneur");
Centre_element("conteneur");
Centre_element("options");
Centre_element("page");
Centre_element("consigne");
Centre_element("pied");
document.getElementById("conteneur").style.height="567px";

zoneXmin=conteneur.offsetLeft;
zoneXmax=(conteneur.offsetLeft + conteneur.offsetWidth);
zoneYmin=conteneur.offsetTop;
zoneYmax=(conteneur.offsetTop + conteneur.offsetHeight);

var zones = document.querySelector("#conteneur");
var activeItem = null;
var active = false;

//Affiche la consigne
var nom_const="";
switch(construction)
{
 case "clown3": 
  consigne_titre="le clown à 3 boutons";
  consigne_txt="Pour construire un clown, il faut :<br>- 1 chapeau <img src='./ressources/clown_chapeau.png' height='18px'>, <br>- 1 nez rouge <img src='./ressources/clown_nez.png' height='18px'>, <br>- 3 boutons <img src='./ressources/clown_bouton.png' height='18px'> et <br>- 2 chaussures identiques <img src='./ressources/clown_chaussure.png' height='18px'>.<br><br>";
  consigne_fab="Combien de clowns peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="clown_3.png";
  nom_const="clowns";
  x_consigne_img="670";
  y_consigne_img="10";
  w_consigne_img="400";
  h_consigne_img="300";
  y_consigne_objets="300";
  objets_noms=new Array("clown_chapeau","clown_nez","clown_bouton","clown_chaussure");
  objets_nombres=new Array(1,1,3,2);
 break;
 case "clown4": 
  consigne_titre="le clown à 4 boutons";
  consigne_txt="Pour construire un clown, il faut :<br>- 1 chapeau <img src='./ressources/clown_chapeau.png' height='18px'>, <br>- 1 nez rouge <img src='./ressources/clown_nez.png' height='18px'>, <br>- 4 boutons <img src='./ressources/clown_bouton.png' height='18px'> et <br>- 2 chaussures identiques <img src='./ressources/clown_chaussure.png' height='18px'>.<br><br>";
  consigne_fab="Combien de clowns peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="clown_4.png";
  nom_const="clowns";
  x_consigne_img="670";
  y_consigne_img="10";
  w_consigne_img="400";
  h_consigne_img="300";
  y_consigne_objets="300";
  objets_noms=new Array("clown_chapeau","clown_nez","clown_bouton","clown_chaussure");
  objets_nombres=new Array(1,1,4,2);
 break;
 case "maison_130": 
  consigne_titre="la maison avec une fenêtre";
  consigne_txt="Pour construire cette scène, il faut :<br>- 1 mur <img src='./ressources/maison_mur.png' height='18px'>, <br>- 1 toit <img src='./ressources/maison_toit.png' height='18px'>, <br>- 1 cheminée <img src='./ressources/maison_cheminee.png' height='18px'>,<br>- 1 porte <img src='./ressources/maison_porte.png' height='18px'>,<br>- 1 fenêtre <img src='./ressources/maison_fenetre.png' height='18px'> et<br>- 3 buissons <img src='./ressources/maison_buisson.png' height='18px'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="maison_130.png";
  x_consigne_img="380";
  y_consigne_img="40";
  w_consigne_img="600";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("maison_mur","maison_toit","maison_cheminee","maison_porte",'maison_fenetre','maison_buisson');
  objets_nombres=new Array(1,1,1,1,1,3);
 break;
 case "maison_230": 
  consigne_titre="la maison avec deux fenêtres";
  consigne_txt="Pour construire cette scène, il faut :<br>- 1 mur <img src='./ressources/maison_mur.png' height='18px'>, <br>- 1 toit <img src='./ressources/maison_toit.png' height='18px'>, <br>- 1 cheminée <img src='./ressources/maison_cheminee.png' height='18px'>,<br>- 1 porte <img src='./ressources/maison_porte.png' height='18px'>,<br>- 2 fenêtres <img src='./ressources/maison_fenetre.png' height='18px'> et<br>- 3 buissons <img src='./ressources/maison_buisson.png' height='18px'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="maison_230.png";
  x_consigne_img="380";
  y_consigne_img="40";
  w_consigne_img="600";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("maison_mur","maison_toit","maison_cheminee","maison_porte",'maison_fenetre','maison_buisson');
  objets_nombres=new Array(1,1,1,1,2,3);
 break;
 case "maison_232": 
  consigne_titre="la maison avec trois buissons";
  consigne_txt="Pour construire cette scène, il faut :<br>- 1 mur <img src='./ressources/maison_mur.png' height='18px'>, <br>- 1 toit <img src='./ressources/maison_toit.png' height='18px'>, <br>- 1 cheminée <img src='./ressources/maison_cheminee.png' height='18px'>,<br>- 1 porte <img src='./ressources/maison_porte.png' height='18px'>,<br>- 2 fenêtres <img src='./ressources/maison_fenetre.png' height='18px'>,<br>- 3 buissons <img src='./ressources/maison_buisson.png' height='18px'> et <br>- 2 arbres.<br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="maison_232.png";
  x_consigne_img="320";
  y_consigne_img="40";
  w_consigne_img="600";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("maison_mur","maison_toit","maison_cheminee","maison_porte",'maison_fenetre','maison_buisson','maison_arbre');
  objets_nombres=new Array(1,1,1,1,2,3,2);
 break;
 case "maison_242": 
  consigne_titre="la maison avec quatre buissons";
  consigne_txt="Pour construire cette scène,<br>il faut :<br>- 1 mur <img src='./ressources/maison_mur.png' height='18px'>, <br>- 1 toit <img src='./ressources/maison_toit.png' height='18px'>, <br>- 1 cheminée <img src='./ressources/maison_cheminee.png' height='18px'>,<br>- 1 porte <img src='./ressources/maison_porte.png' height='18px'>,<br>- 2 fenêtres <img src='./ressources/maison_fenetre.png' height='18px'>,<br>- 4 buissons <img src='./ressources/maison_buisson.png' height='18px'> et<br>- 2 arbres.<br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="maison_242.png";
  x_consigne_img="280";
  y_consigne_img="40";
  w_consigne_img="600";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("maison_mur","maison_toit","maison_cheminee","maison_porte",'maison_fenetre','maison_buisson','maison_arbre');
  objets_nombres=new Array(1,1,1,1,2,4,2);
 break;
 case "maison_267": 
  consigne_titre="la maison avec deux cheminées";
  consigne_txt="Pour construire cette scène, il faut :<br>- 1 mur <img src='./ressources/maison_mur.png' height='18px'>, <br>- 1 toit <img src='./ressources/maison_toit.png' height='18px'>, <br>- 2 cheminées <img src='./ressources/maison_cheminee.png' height='18px'>,<br>- 1 porte <img src='./ressources/maison_porte.png' height='18px'>,<br>- 2 fenêtres <img src='./ressources/maison_fenetre.png' height='18px'>,<br>- 6 buissons <img src='./ressources/maison_buisson.png' height='18px'> et<br>- 7 arbres.<br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="maison_267.png";
  x_consigne_img="320";
  y_consigne_img="50";
  w_consigne_img="570";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("maison_mur","maison_toit","maison_cheminee","maison_porte",'maison_fenetre','maison_buisson','maison_arbre');
  objets_nombres=new Array(1,1,2,1,2,6,7);
 break;
 case "chantier_playmobil_1": 
  consigne_titre="la scène de chantier 1";
  consigne_txt="Pour construire cette scène de chantier,<br>il faut :<br>- 4 plots <img src='./ressources/playmobil_plot.png' class='consigne_image'>, <br>- 3 balises <img src='./ressources/playmobil_balise.png' class='consigne_image'>,<br>- 2 seaux <img src='./ressources/playmobil_seau.png' class='consigne_image'>,<br>- 1 panneau <img src='./ressources/playmobil_panneau.png' class='consigne_image'>, et<br>- 5 ouvriers avec une pelle<img src='./ressources/playmobil_ouvrier.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="chantier_playmobil_1.png";
  x_consigne_img="400";
  y_consigne_img="20";
  w_consigne_img="490";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("playmobil_feux","playmobil_plot","playmobil_balise","playmobil_seau",'playmobil_panneau','playmobil_brouette','playmobil_barbu','playmobil_ouvrier');
  objets_nombres=new Array(0,4,3,2,1,0,0,5);
 break;
 case "chantier_playmobil_2": 
  consigne_titre="la scène de chantier 2";
  consigne_txt="Pour construire cette scène de chantier,<br>il faut :<br>- 11 plots <img src='./ressources/playmobil_plot.png' class='consigne_image'>, <br>- 3 balises <img src='./ressources/playmobil_balise.png' class='consigne_image'>,<br>- 2 seaux <img src='./ressources/playmobil_seau.png' class='consigne_image'>,<br>- 1 panneau <img src='./ressources/playmobil_panneau.png' class='consigne_image'>, et<br>- 6 ouvriers avec une pelle <img src='./ressources/playmobil_ouvrier.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="chantier_playmobil_2.png";
  x_consigne_img="400";
  y_consigne_img="20";
  w_consigne_img="490";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("playmobil_feux","playmobil_plot","playmobil_balise","playmobil_seau",'playmobil_panneau','playmobil_brouette','playmobil_barbu','playmobil_ouvrier');
  objets_nombres=new Array(0,11,3,2,1,0,0,6);
 break;
 case "chantier_playmobil_3": 
  consigne_titre="la scène de chantier 3";
  consigne_txt="Pour construire cette scène de chantier,<br>il faut :<br>- 11 plots <img src='./ressources/playmobil_plot.png' class='consigne_image'>, <br>- 6 balises <img src='./ressources/playmobil_balise.png' class='consigne_image'>,<br>- 3 seaux <img src='./ressources/playmobil_seau.png' class='consigne_image'>,<br>- 1 panneau <img src='./ressources/playmobil_panneau.png' class='consigne_image'>, et<br>- 6 ouvriers avec une pelle<img src='./ressources/playmobil_ouvrier.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="chantier_playmobil_3.png";
  x_consigne_img="400";
  y_consigne_img="20";
  w_consigne_img="490";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("playmobil_feux","playmobil_plot","playmobil_balise","playmobil_seau",'playmobil_panneau','playmobil_brouette','playmobil_barbu','playmobil_ouvrier');
  objets_nombres=new Array(0,11,6,3,1,0,0,6);
 break;
 case "chantier_playmobil_4": 
  consigne_titre="la scène de chantier 4";
  consigne_txt="Pour construire cette scène de chantier,<br>il faut :<br>5 plots <img src='./ressources/playmobil_plot.png' class='consigne_image'> / 6 balises <img src='./ressources/playmobil_balise.png' class='consigne_image'> /<br>3 seaux <img src='./ressources/playmobil_seau.png' class='consigne_image'> / 1 panneau <img src='./ressources/playmobil_panneau.png' class='consigne_image'> / 1 brouette <img src='./ressources/playmobil_brouette.png' class='consigne_image'> /<br>2 ouvriers avec un marteau-piqueur <img src='./ressources/playmobil_barbu.png' class='consigne_image'> /<br>3 ouvriers avec une pelle <img src='./ressources/playmobil_ouvrier.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="chantier_playmobil_4.png";
  x_consigne_img="400";
  y_consigne_img="20";
  w_consigne_img="490";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("playmobil_feux","playmobil_plot","playmobil_balise","playmobil_seau",'playmobil_panneau','playmobil_brouette','playmobil_barbu','playmobil_ouvrier');
  objets_nombres=new Array(0,5,6,3,1,1,2,3);
 break;
 case "chantier_playmobil_5": 
  consigne_titre="la scène de chantier 5";
  consigne_txt="Pour construire cette scène de chantier,<br>il faut :<br>1 feu tricolore <img src='./ressources/playmobil_feux.png' class='consigne_image'> /  8 plots <img src='./ressources/playmobil_plot.png' class='consigne_image'> / <br>6 balises <img src='./ressources/playmobil_balise.png' class='consigne_image'> / 4 seaux <img src='./ressources/playmobil_seau.png' class='consigne_image'> /<br>1 panneau <img src='./ressources/playmobil_panneau.png' class='consigne_image'> / 1 brouette <img src='./ressources/playmobil_brouette.png' class='consigne_image'> /<br>2 ouvriers avec un marteau-piqueur <img src='./ressources/playmobil_barbu.png' class='consigne_image'> /<br>4 ouvriers avec une pelle <img src='./ressources/playmobil_ouvrier.png' class='consigne_image'>.<br><br";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="chantier_playmobil_5.png";
  x_consigne_img="400";
  y_consigne_img="20";
  w_consigne_img="490";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("playmobil_feux","playmobil_plot","playmobil_balise","playmobil_seau",'playmobil_panneau','playmobil_brouette','playmobil_barbu','playmobil_ouvrier');
  objets_nombres=new Array(1,8,6,4,1,1,2,4);
 break;
 case "chantier_playmobil_6": 
  consigne_titre="la scène de chantier 6";
  consigne_txt="Pour construire cette scène de chantier,<br>il faut :<br>1 feu tricolore <img src='./ressources/playmobil_feux.png' class='consigne_image'> /  11 plots <img src='./ressources/playmobil_plot.png' class='consigne_image'> / <br>7 balises <img src='./ressources/playmobil_balise.png' class='consigne_image'> / 8 seaux <img src='./ressources/playmobil_seau.png' class='consigne_image'> /<br>3 panneaux <img src='./ressources/playmobil_panneau.png' class='consigne_image'> / 1 brouette <img src='./ressources/playmobil_brouette.png' class='consigne_image'> /<br>2 ouvriers avec un marteau-piqueur <img src='./ressources/playmobil_barbu.png' class='consigne_image'> /<br>6 ouvriers avec une pelle <img src='./ressources/playmobil_ouvrier.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="chantier_playmobil_6.png";
  x_consigne_img="400";
  y_consigne_img="20";
  w_consigne_img="490";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("playmobil_feux","playmobil_plot","playmobil_balise","playmobil_seau",'playmobil_panneau','playmobil_brouette','playmobil_barbu','playmobil_ouvrier');
  objets_nombres=new Array(1,11,7,8,3,1,2,6);
 break;
 case "legos_1": 
  consigne_titre="les briques de lego 1";
  consigne_txt="Pour construire cette figure, il faut :<br>1 brique bleue <img src='./ressources/lego_bleu.png' class='consigne_image'> /<br>3 briques grises <img src='./ressources/lego_gris.png' class='consigne_image'> / <br>4 briques vertes <img src='./ressources/lego_vert.png' class='consigne_image'> /<br>2 briques jaunes <img src='./ressources/lego_jaune.png' class='consigne_image'> /<br>4 briques violettes <img src='./ressources/lego_violet.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="legos_1.png";
  x_consigne_img="390";
  y_consigne_img="20";
  w_consigne_img="500";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("lego_bleu","lego_gris","lego_vert","lego_jaune",'lego_violet','lego_marron','lego_rouge');
  objets_nombres=new Array(1,3,4,2,4,0,0);
 break;
 case "legos_2": 
  consigne_titre="les briques de lego 2";
  consigne_txt="Pour construire cette figure, il faut :<br>1 brique bleue <img src='./ressources/lego_bleu.png' class='consigne_image'> /<br>2 briques grises <img src='./ressources/lego_gris.png' class='consigne_image'> / <br>3 briques vertes <img src='./ressources/lego_vert.png' class='consigne_image'> /<br>3 briques jaunes <img src='./ressources/lego_jaune.png' class='consigne_image'> /<br>5 briques violettes <img src='./ressources/lego_violet.png' class='consigne_image'> /<br>1 brique marron <img src='./ressources/lego_marron.png' class='consigne_image'> /<br>2 briques rouges <img src='./ressources/lego_rouge.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="legos_2.png";
  x_consigne_img="390";
  y_consigne_img="20";
  w_consigne_img="500";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("lego_bleu","lego_gris","lego_vert","lego_jaune",'lego_violet','lego_marron','lego_rouge');
  objets_nombres=new Array(1,2,3,3,5,1,2);
 break;
 case "legos_3": 
  consigne_titre="les briques de lego 3";
  consigne_txt="Pour construire cette figure, il faut :<br>6 briques bleues <img src='./ressources/lego_bleu.png' class='consigne_image'> / <br>7 briques vertes <img src='./ressources/lego_vert.png' class='consigne_image'> /<br>8 briques jaunes <img src='./ressources/lego_jaune.png' class='consigne_image'> /<br>9 briques violettes <img src='./ressources/lego_violet.png' class='consigne_image'> /<br>10 briques marron <img src='./ressources/lego_marron.png' class='consigne_image'> /<br>11 briques rouges <img src='./ressources/lego_rouge.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="legos_3.png";
  x_consigne_img="390";
  y_consigne_img="20";
  w_consigne_img="500";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("lego_bleu","lego_gris","lego_vert","lego_jaune",'lego_violet','lego_marron','lego_rouge');
  objets_nombres=new Array(6,0,7,8,9,10,11);
 break;
 case "legos_4": 
  consigne_titre="les briques de lego 4";
  consigne_txt="Pour construire cette figure, il faut :<br>9 briques bleues <img src='./ressources/lego_bleu.png' class='consigne_image'> /<br>14 briques grises <img src='./ressources/lego_gris.png' class='consigne_image'> / <br>17 briques vertes <img src='./ressources/lego_vert.png' class='consigne_image'> /<br>10 briques jaunes <img src='./ressources/lego_jaune.png' class='consigne_image'> /<br>16 briques violettes <img src='./ressources/lego_violet.png' class='consigne_image'> /<br>13 briques marron <img src='./ressources/lego_marron.png' class='consigne_image'> /<br>15 briques rouges <img src='./ressources/lego_rouge.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="legos_4.png";
  x_consigne_img="390";
  y_consigne_img="20";
  w_consigne_img="500";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("lego_bleu","lego_gris","lego_vert","lego_jaune",'lego_violet','lego_marron','lego_rouge');
  objets_nombres=new Array(9,14,17,10,16,13,15);
 break;
 case "legos_5": 
  consigne_titre="les briques de lego 5";
  consigne_txt="Pour construire cette figure, il faut :<br>9 briques bleues <img src='./ressources/lego_bleu.png' class='consigne_image'> /<br>6 briques grises <img src='./ressources/lego_gris.png' class='consigne_image'> / <br>13 briques vertes <img src='./ressources/lego_vert.png' class='consigne_image'> /<br>17 briques jaunes <img src='./ressources/lego_jaune.png' class='consigne_image'> /<br>12 briques violettes <img src='./ressources/lego_violet.png' class='consigne_image'> /<br>11 briques marron <img src='./ressources/lego_marron.png' class='consigne_image'> /<br>10 briques rouges <img src='./ressources/lego_rouge.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="legos_5.png";
  x_consigne_img="390";
  y_consigne_img="20";
  w_consigne_img="500";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("lego_bleu","lego_gris","lego_vert","lego_jaune",'lego_violet','lego_marron','lego_rouge');
  objets_nombres=new Array(9,6,13,17,12,11,10);
 break;
 case "legos_6": 
  consigne_titre="les briques de lego 6";
  consigne_txt="Pour construire cette figure, il faut :<br>7 briques bleues <img src='./ressources/lego_bleu.png' class='consigne_image'> /<br>4 briques grises <img src='./ressources/lego_gris.png' class='consigne_image'> / <br>9 briques vertes <img src='./ressources/lego_vert.png' class='consigne_image'> /<br>10 briques jaunes <img src='./ressources/lego_jaune.png' class='consigne_image'> /<br>14 briques violettes <img src='./ressources/lego_violet.png' class='consigne_image'> /<br>12 briques marron <img src='./ressources/lego_marron.png' class='consigne_image'> /<br>17 briques rouges <img src='./ressources/lego_rouge.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="legos_6.png";
  x_consigne_img="390";
  y_consigne_img="20";
  w_consigne_img="500";
  h_consigne_img="350";
  y_consigne_objets="300";
  objets_noms=new Array("lego_bleu","lego_gris","lego_vert","lego_jaune",'lego_violet','lego_marron','lego_rouge');
  objets_nombres=new Array(7,4,9,10,14,12,17);
 break;
 case "parking_1": 
  consigne_titre="le parking 1";
  consigne_txt="Pour construire cette figure, il faut :<br>  2 voitures blanches <img src='./ressources/voiture_blanche.png' class='consigne_image'> /   1 voiture bleue <img src='./ressources/voiture_bleue.png' class='consigne_image'> / <br>  1 voiture grise <img src='./ressources/voiture_grise.png' class='consigne_image'> /   3 voitures jaunes <img src='./ressources/voiture_jaune.png' class='consigne_image'> /<br>   5 voitures noires <img src='./ressources/voiture_noire.png' class='consigne_image'> /  2 voitures rouges <img src='./ressources/voiture_rouge.png' class='consigne_image'> / <br>  1 voiture verte <img src='./ressources/voiture_verte.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="parking_1.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("voiture_blanche","voiture_bleue","voiture_grise","voiture_jaune",'voiture_noire','voiture_orange','voiture_rouge','voiture_verte','voiture_violette');
  objets_nombres=new Array(2,1,1,3,5,0,2,1,0);
 break;
 case "parking_2": 
  consigne_titre="le parking 2";
  consigne_txt="Pour construire cette figure, il faut :<br>2 voitures blanches <img src='./ressources/voiture_blanche.png' class='consigne_image'> / 3 voitures bleues <img src='./ressources/voiture_bleue.png' class='consigne_image'> / <br>  1 voiture grise <img src='./ressources/voiture_grise.png' class='consigne_image'> / 4 voitures jaunes <img src='./ressources/voiture_jaune.png' class='consigne_image'> /<br>5 voitures noires <img src='./ressources/voiture_noire.png' class='consigne_image'> / 2 voitures rouges <img src='./ressources/voiture_rouge.png' class='consigne_image'> /<br>1 voiture verte <img src='./ressources/voiture_verte.png' class='consigne_image'> / 4 voitures violettes <img src='./ressources/voiture_violette.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="parking_2.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("voiture_blanche","voiture_bleue","voiture_grise","voiture_jaune",'voiture_noire','voiture_orange','voiture_rouge','voiture_verte','voiture_violette');
  objets_nombres=new Array(2,3,1,4,5,0,2,1,4);
 break;
 case "parking_3": 
  consigne_titre="le parking 3";
  consigne_txt="Pour construire cette figure, il faut :<br>8 voitures blanches <img src='./ressources/voiture_blanche.png' class='consigne_image'> / 3 voitures bleues <img src='./ressources/voiture_bleue.png' class='consigne_image'> / <br>2 voitures grises <img src='./ressources/voiture_grise.png' class='consigne_image'> / 4 voitures jaunes <img src='./ressources/voiture_jaune.png' class='consigne_image'> /<br>5 voitures noires <img src='./ressources/voiture_noire.png' class='consigne_image'> / 7 voitures orange <img src='./ressources/voiture_orange.png' class='consigne_image'> /<br>2 voitures rouges <img src='./ressources/voiture_rouge.png' class='consigne_image'> / 1 voiture verte <img src='./ressources/voiture_verte.png' class='consigne_image'> /<br>4 voitures violettes <img src='./ressources/voiture_violette.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="parking_3.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("voiture_blanche","voiture_bleue","voiture_grise","voiture_jaune",'voiture_noire','voiture_orange','voiture_rouge','voiture_verte','voiture_violette');
  objets_nombres=new Array(8,3,2,4,5,7,2,1,4);
 break;
 case "parking_4": 
  consigne_titre="le parking 4";
  consigne_txt="Pour construire cette figure, il faut :<br>8 voitures blanches <img src='./ressources/voiture_blanche.png' class='consigne_image'> / 8 voitures bleues <img src='./ressources/voiture_bleue.png' class='consigne_image'> / <br>2 voitures grises <img src='./ressources/voiture_grise.png' class='consigne_image'> / 11 voitures jaunes <img src='./ressources/voiture_jaune.png' class='consigne_image'> /<br>11 voitures noires <img src='./ressources/voiture_noire.png' class='consigne_image'> / 7 voitures orange <img src='./ressources/voiture_orange.png' class='consigne_image'> /<br>6 voitures rouges <img src='./ressources/voiture_rouge.png' class='consigne_image'> / 8 voitures vertes <img src='./ressources/voiture_verte.png' class='consigne_image'> /<br>5 voitures violettes <img src='./ressources/voiture_violette.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="parking_4.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("voiture_blanche","voiture_bleue","voiture_grise","voiture_jaune",'voiture_noire','voiture_orange','voiture_rouge','voiture_verte','voiture_violette');
  objets_nombres=new Array(8,8,2,11,11,7,6,8,5);
 break;
 case "parking_5": 
  consigne_titre="le parking 5";
  consigne_txt="Pour construire cette figure, il faut :<br>14 voitures blanches <img src='./ressources/voiture_blanche.png' class='consigne_image'> / 11 voitures bleues <img src='./ressources/voiture_bleue.png' class='consigne_image'><br>2 voitures grises <img src='./ressources/voiture_grise.png' class='consigne_image'> / 17 voitures jaunes <img src='./ressources/voiture_jaune.png' class='consigne_image'> /<br>11 voitures noires <img src='./ressources/voiture_noire.png' class='consigne_image'> / 10 voitures orange <img src='./ressources/voiture_orange.png' class='consigne_image'> /<br>8 voitures rouges <img src='./ressources/voiture_rouge.png' class='consigne_image'> / 12 voitures vertes <img src='./ressources/voiture_verte.png' class='consigne_image'> /<br>8 voitures violettes <img src='./ressources/voiture_violette.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="parking_5.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("voiture_blanche","voiture_bleue","voiture_grise","voiture_jaune",'voiture_noire','voiture_orange','voiture_rouge','voiture_verte','voiture_violette');
  objets_nombres=new Array(14,11,2,17,11,10,8,12,8);
 break;
 case "parking_6": 
  consigne_titre="le parking 6";
  consigne_txt="Pour construire cette figure, il faut :<br>16 voitures blanches <img src='./ressources/voiture_blanche.png' class='consigne_image'> / 16 voitures bleues <img src='./ressources/voiture_bleue.png' class='consigne_image'><br>4 voitures grises <img src='./ressources/voiture_grise.png' class='consigne_image'> / 17 voitures jaunes <img src='./ressources/voiture_jaune.png' class='consigne_image'> /<br>11 voitures noires <img src='./ressources/voiture_noire.png' class='consigne_image'> / 11 voitures orange <img src='./ressources/voiture_orange.png' class='consigne_image'> /<br>12 voitures rouges <img src='./ressources/voiture_rouge.png' class='consigne_image'> / 16 voitures vertes <img src='./ressources/voiture_verte.png' class='consigne_image'> /<br>10 voitures violettes <img src='./ressources/voiture_violette.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="parking_6.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("voiture_blanche","voiture_bleue","voiture_grise","voiture_jaune",'voiture_noire','voiture_orange','voiture_rouge','voiture_verte','voiture_violette');
  objets_nombres=new Array(16,16,4,17,11,11,12,16,10);
 break;
 case "pois_1": 
  consigne_titre="les pois 1";
  consigne_txt="Pour construire cette figure, il faut :<br>4 pois bleus <img src='./ressources/pois_bleu.png' class='consigne_image'> / 2 pois violets <img src='./ressources/pois_violet.png' class='consigne_image'><br>3 pois orange <img src='./ressources/pois_orange.png' class='consigne_image'> / 1 pois rouge <img src='./ressources/pois_rouge.png' class='consigne_image'> /<br>2 pois verts <img src='./ressources/pois_vert.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="pois_1.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("pois_bleu","pois_violet","pois_orange","pois_rouge",'pois_vert');
  objets_nombres=new Array(4,2,3,1,2);
 break;
 case "pois_2": 
  consigne_titre="les pois 2";
  consigne_txt="Pour construire cette figure, il faut :<br>7 pois bleus <img src='./ressources/pois_bleu.png' class='consigne_image'> / 5 pois violets <img src='./ressources/pois_violet.png' class='consigne_image'><br>5 pois orange <img src='./ressources/pois_orange.png' class='consigne_image'> / 6 pois rouges <img src='./ressources/pois_rouge.png' class='consigne_image'> /<br>7 pois verts <img src='./ressources/pois_vert.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="pois_2.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("pois_bleu","pois_violet","pois_orange","pois_rouge",'pois_vert');
  objets_nombres=new Array(7,5,5,6,7);
 break;
 case "pois_3": 
  consigne_titre="les pois 3";
  consigne_txt="Pour construire cette figure, il faut :<br>6 pois bleus <img src='./ressources/pois_bleu.png' class='consigne_image'> / 10 pois violets <img src='./ressources/pois_violet.png' class='consigne_image'><br>11 pois orange <img src='./ressources/pois_orange.png' class='consigne_image'> / 9 pois rouges <img src='./ressources/pois_rouge.png' class='consigne_image'> /<br>12 pois verts <img src='./ressources/pois_vert.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="pois_3.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("pois_bleu","pois_violet","pois_orange","pois_rouge",'pois_vert');
  objets_nombres=new Array(6,10,11,9,12);
 break;
 case "pois_4": 
  consigne_titre="les pois 4";
  consigne_txt="Pour construire cette figure, il faut :<br>10 pois bleus <img src='./ressources/pois_bleu.png' class='consigne_image'> / 12 pois violets <img src='./ressources/pois_violet.png' class='consigne_image'><br>11 pois orange <img src='./ressources/pois_orange.png' class='consigne_image'> / 13 pois rouges <img src='./ressources/pois_rouge.png' class='consigne_image'> /<br>14 pois verts <img src='./ressources/pois_vert.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="pois_4.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("pois_bleu","pois_violet","pois_orange","pois_rouge",'pois_vert');
  objets_nombres=new Array(10,12,11,13,14);
 break;
 case "pois_5": 
  consigne_titre="les pois 5";
  consigne_txt="Pour construire cette figure, il faut :<br>16 pois bleus <img src='./ressources/pois_bleu.png' class='consigne_image'> / 16 pois violets <img src='./ressources/pois_violet.png' class='consigne_image'><br>13 pois orange <img src='./ressources/pois_orange.png' class='consigne_image'> / 6 pois rouges <img src='./ressources/pois_rouge.png' class='consigne_image'> /<br>4 pois verts <img src='./ressources/pois_vert.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="pois_5.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("pois_bleu","pois_violet","pois_orange","pois_rouge",'pois_vert');
  objets_nombres=new Array(16,16,13,6,4);
 break;
 case "pois_6": 
  consigne_titre="les pois 6 (chiche !)";
  consigne_txt="Pour construire cette figure, il faut :<br>10 pois bleus <img src='./ressources/pois_bleu.png' class='consigne_image'> / 12 pois violets <img src='./ressources/pois_violet.png' class='consigne_image'><br>16 pois orange <img src='./ressources/pois_orange.png' class='consigne_image'> / 13 pois rouges <img src='./ressources/pois_rouge.png' class='consigne_image'> /<br>11 pois verts <img src='./ressources/pois_vert.png' class='consigne_image'>.<br><br>";
  consigne_fab="Combien de scènes peux-tu fabriquer avec les objets ci-dessous ?";
  consigne_img="pois_6.png";
  x_consigne_img="440";
  y_consigne_img="20";
  w_consigne_img="450";
  h_consigne_img="330";
  y_consigne_objets="300";
  objets_noms=new Array("pois_bleu","pois_violet","pois_orange","pois_rouge",'pois_vert');
  objets_nombres=new Array(10,12,16,13,11);
 break;
}

//Affichage titre = nom de la construction
Cree_DIV("consig_titre","consig_titre","3","10","20",consigne_titre);

//Affichage consigne
Cree_DIV("consig_txt","consig_txt","4","50","20",consigne_txt);

//Affichage de l'image de la construction
Cree_IMG("consig_img","consig_img","3", y_consigne_img, x_consigne_img,h_consigne_img,w_consigne_img,consigne_img);

//Affiche la question
var consig_question=consigne_fab; 
if(type=="pre") 
{
 if(nom_const=="")nom_const="scènes";

 var nbprep=Math.floor(Math.random() * hazmax) + 2;
 consig_question="Indique le nombre d'objets nécessaires pour construire "+nbprep+" "+nom_const+".";
}
Cree_DIV("consig_question","consig_txt","4","280","20",consig_question);

if(type=="fab") 
{
 //Tirage au sort du nobre d'exemplaires proposés pour chacun des objets
 objets_proposes=new Array();
 for(i=0;i<objets_nombres.length;i++)
 {
  objets_proposes[i]=((Math.floor(Math.random() * (hazmax))+1) * objets_nombres[i]) + (Math.floor(Math.random() * 13));
 }

 //Affichage de l'étiquette de chaque objet
 var jzz=0;y_consigne_objets=320;
 for(i=0;i<objets_noms.length;i++)
 {
  if(objets_nombres[i]>0){Cree_ETK(i,20 + (jzz * 70),y_consigne_objets); jzz=jzz+1;}
 }

 //Calcul de la réponse : nb maxi de constructions qu'il est possible de faire
 //==> On calcule pour chaque objet (selon le nb nécessaire) et on garde le plus bas.
 var nb_scenes=99999;
 var nbos="";
 for(i=0;i<objets_proposes.length;i++)
 {
  var nbo1=Math.floor(objets_proposes[i] / objets_nombres[i]);
  nbos+=" - "+nbo1;
  if(nbo1<nb_scenes)nb_scenes=nbo1;
 }

//Affiche le compteur pour la réponse (2 chiffres avec boutons plus et moins)
 Cree_compteur("compteur_dizaines","4","650","320");
 Cree_compteur("compteur_unites","4","682","320");
}else{

//Affiche les compteurs d'objets
 var jzz=0;y_consigne_objets=310; var dec=110;
 for(i=0;i<objets_noms.length;i++)
 {
  if(objets_nombres[i]>0)
  {
   Cree_compteur_objets(i,20 + (jzz * dec),y_consigne_objets); 
   Cree_compteur1("compteur_dizaines_"+i,"4",72 + (jzz * dec),y_consigne_objets);
   Cree_compteur1("compteur_unites_"+i,"4",89 + (jzz * dec),y_consigne_objets);
   jzz=jzz+1;
  }
 }
 
}

//Affiche les paramètres du jeu
Affiche_parametres_jeu();
Regenere_barre_progression();


//Chronomètre ou minuteur ?
zz=types_scores.indexOf(score);
if(zz>0 && mode=="competition") 
{
 chrono=temps;
 Demarre_temps();
 if(zz==4)dureemaxi=60; 
 if(zz==5)dureemaxi=120; 
}
