//       ____________________________________
//_____/                                    \ 
//____/   plus.js - fonctions spécifiques   \ 
//    \______________________________________/  
//
//

//Paramètres globaux


//Fonctions
function Info(tt)
{
 Cache_element("bouton_info");
 Cache_element("bouton_options");
 Cache_element("bouton_rejouer");
 Cache_element("bouton_verifier");
 var ttx="";
 var titrepage="titre_informations";
 if(tt=="ml") {ttx="ml_"; titrepage="titre_ml";}
 document.getElementById("titre_page").src="./ressources/"+titrepage+".png";
 document.getElementById("texte").src="./ressources/"+ttx+"machinaclown.html";
 Affiche_element("page");
 Affiche_element("bouton_annuler");
 Desocculte_element("bouton_annuler");
 Affiche_element("titre_page");
 Desocculte_element("titre_page");
}

function Fermer_page()
{
 Affiche_element("bouton_info");
 Affiche_element("bouton_options");
 Affiche_element("bouton_rejouer");
 Affiche_element("bouton_verifier");
 Affiche_element("conteneur");
 Cache_element("page");
 Cache_element("bouton_annuler");
 document.getElementById("titre_page").src="";
 niveau="";
}

function Rejouer()
{
 //Tirage d'une construction selon paramètres
 var nb_choix_construction=Math.floor((Math.random() * constructions.length));
 var choix_construction=constructions[nb_choix_construction];
 //Saut vers page appropriée
 document.location.href="./index.html?niveau="+niveau+"&type="+type+"&construction="+choix_construction+"&mode="+mode+"&score="+score+"&nbcalculs="+nbcalculs+"&nbreussites="+nbreussites+"&temps="+chrono;
}

function isset (accessor) {
  try {
    // Note we're seeing if the returned value of our function is not
    // undefined
    return typeof accessor() !== 'undefined'
  } catch (e) {
    // And we're able to catch the Error it would normally throw for
    // referencing a property of undefined
    return false
  }
}

function Verifie_ordonnee(vo)
{
 //Seulement si l'objet est défini
 if(typeof vo !=="undefined")
 {
  //Limites inférieure et supérieure différentes si nombres ou dominos
  var yMin=90; var yMax=220;
  if(niveau.substr(0,2)=="nb"){var yMin=135; var yMax=200;}
  //Position initiale
  var yp=coordNb(vo.style.top);
  //L'objet a bougé ? Position actuelle
  var z=vo.yOffset; 
  if(typeof z !=="undefined")yp=z;
  //Entre les bornes ?
  if(yp<yMin || yp>yMax) 
  {
   vo.style.display="none";
  }
 }
}

function Verifie_abscisse_gauche(vg)
{
 //Seulement si l'objet est défini
 if(typeof vg !=="undefined")
 {
  if(vg.style.display!="none")
  {
   //Limites inférieure et supérieure différentes si nombres ou dominos
   var xMin=15; var xMax=380;
   if(niveau.substr(0,2)=="nb"){var xMin=20; var xMax=380;}
   //Position initiale
   var xp=coordNb(vg.style.left);
   //L'objet a bougé ? Position actuelle
   var z=vg.xOffset; 
   if(typeof z !=="undefined")xp=xp+z;
   //Entre les bornes ?
   if(xp>xMin && xp<xMax) 
   {
	platoGauche = platoGauche + vg.nb; 
	var plus=""; if(sommePlatoGauche != "")plus=" + ";
	sommePlatoGauche = sommePlatoGauche + plus + vg.nb; 
	vg.plateau="G";
    if(vg.nb==12 && typeof hasard1 !=="undefined") 
    {
	 hasard1.plateau="G";
     platoGauche = platoGauche + 1; 
    }
   }
  }
 }
}

function Verifie_abscisse_droite(vd)
{
 //Seulement si l'objet est défini
 if(typeof vd !=="undefined")
 {
  if(vd.style.display!="none")
  {
   //Limites inférieure et supérieure différentes si nombres ou dominos
   var xMin=480; var xMax=850;
   if(niveau.substr(0,2)=="nb"){var xMin=480; var xMax=840;}
   //Position initiale
   var xp=coordNb(vd.style.left);
   //L'objet a bougé ? Position actuelle
   var z=vd.xOffset; 
   if(typeof z !=="undefined")xp=xp+z;
   //Entre les bornes ?
   if(xp>xMin && xp<xMax) 
   {
	platoDroite = platoDroite + vd.nb; 
	var plus=""; if(sommePlatoDroite != "")plus=" + ";
	sommePlatoDroite = sommePlatoDroite + plus + vd.nb; 
	vd.plateau="D";
    if(vd.nb==12 && typeof hasard1 !=="undefined") 
    {
	 hasard1.plateau="D";
     platoDroite = platoDroite + 1; 
    }
   }
  }
 }
}


function Affiche_bouton_option(cn_id,cn_img,cn_txt,cn_fond,cn_actif,cn_top,cn_left)
{
 var cn = document.createElement("DIV");
 cn.id=cn_id;
 cn.style.top=cn_top + "px";
 cn.style.left=cn_left + "px";
 cn.style.textAlign="center";
 cn.style.fontSize="14px";
 cn.style.lineHeight="20px";
 cn.style.borderRadius="15px";
 cn.style.padding="5px";
 cn.style.backgroundColor=cn_fond;
 var cnimg="";
 if(cn_img!="")cnimg='<img src="./ressources/'+cn_img+'.png" style="position:relative;top:5px;height:30px;"> ';
 cn.innerHTML="&nbsp;"+cnimg+'<span style="position:relative;top:-5px;">'+cn_txt+'</span>'+"&nbsp;";
 cn.className="bouton_option_OFF";
 if(cn_actif=="titre")cn.className="bouton_option_TITRE";
 options.appendChild(cn);
 return(cn); 
}

function Options()
{
 Cache_element("bouton_info");
 Cache_element("bouton_options");
 Cache_element("bouton_rejouer");
 Cache_element("bouton_verifier");
 document.getElementById("titre_page").src="./ressources/titre_parametres.png";
 Affiche_element("bouton_ok");
 Affiche_element("options");
 Affiche_option("niveau_"+niveau,true);
 Affiche_option("type_"+type,true);
 Affiche_option("mode_"+mode,true);
 if(mode=="competition")
 {
  Affiche_element("option_score");
  Affiche_option("score_"+score,true);
 }else{Cache_element("option_score");}
}

function Affiche_option(ao_option,ao_valeur)
{
 var ao_o=document.getElementById(ao_option);
 var ao_c="option_OFF";
 if(ao_valeur==true) ao_c="option_ON";
 ao_o.className=ao_c;
 var ao_rubrique=ao_option.split("_");
 switch(ao_rubrique[0])
 { 
  case"niveau":niveau=ao_rubrique[1];break;
  case"type":type=ao_rubrique[1];break;
  case"mode":mode=ao_rubrique[1];break;
  case"score":score=ao_rubrique[1];break;
 }
 if(mode=="competition")
 {
  Affiche_element("option_score");
 }else{Cache_element("option_score");}
}

function Ok()
{
 Affiche_element("bouton_info");
 Cache_element("options");
 Affiche_element("bouton_options");
 Affiche_element("bouton_rejouer");
 Affiche_element("bouton_verifier");
 Cache_element("bouton_ok");
 document.getElementById("titre_page").src="";
 if(change_option)
 {
  document.location.href="./index.html?niveau="+niveau+"&type="+type+"&mode="+mode+"&score="+score+"&nbcalculs=0&nbreussites=0&temps=0";
 }
}

function Change_option(co_rubrique,co_option)
{
 var co_temp1=document.getElementById(co_rubrique+"_"+co_option).className;
 switch(co_rubrique)
 {
  case "niveau":
   Affiche_option("niveau_tables3",false);
   Affiche_option("niveau_tables5",false);
   Affiche_option("niveau_tables10",false);
   Affiche_option("niveau_tablesplus",false);
  break;
  case "type":
   Affiche_option("type_fab",false);
   Affiche_option("type_pre",false);
  break;
  case "mode":
   Affiche_option("mode_entrainement",false);
   Affiche_option("mode_competition",false);
  break;
  case "score":
   Affiche_option("score_objectif3",false);
   Affiche_option("score_objectif6",false);
   Affiche_option("score_chrono5",false);
   Affiche_option("score_chrono10",false);
   Affiche_option("score_minuteur1",false);
   Affiche_option("score_minuteur2",false);
 }
 Affiche_option(co_rubrique+"_"+co_option,true);
 var co_temp2=document.getElementById(co_rubrique+"_"+co_option).className;
 if(co_temp1!=co_temp2)change_option=true;
 if(mode=="competition")  document.getElementById("score_"+score).className="option_ON";

}

function Affiche_parametres_jeu()
{
 var bouton_niveau="";
 switch(niveau)
 {
  case "tables3":bouton_niveau="tables jusqu'à 3";break;
  case "tables5":bouton_niveau="tables jusqu'à 5";break;
  case "tables10":bouton_niveau="tables jusqu'à 10";break;
  case "tablesplus":bouton_niveau="tables supérieures à 10";break;
 }
 var bouton_type="";
 switch(type)
 {
  case "fab":bouton_type="fabrication";break;
  case "pre":bouton_type="préparation";break;
 }
 var bouton_mode="";
 switch(mode)
 {
  case "entrainement":bouton_mode="entraînement";break;
  case "competition":bouton_mode="compétition";break;
 }
 var bouton_score="";
 if(mode=="competition")
 {
  switch(score)
  {
   case "objectif3":bouton_score="réussir 3 "+bouton_type+"s sans limite de temps";break;
   case "objectif6":bouton_score="réussir 6 "+bouton_type+"s sans limite de temps";break;
   case "chrono5":bouton_score="réussir 5 "+bouton_type+"s le plus vite possible";break;
   case "chrono10":bouton_score="réussir 10 "+bouton_type+"s le plus vite possible";break;
   case "minuteur1":bouton_score="réussir le plus possible de "+bouton_type+"s en 1 minute";break;
   case "minuteur2":bouton_score="réussir le plus possible de "+bouton_type+"s en 2 minutes";break;
  }
 }
 var innner="Paramètres du jeu : "+bouton_niveau+" - "+bouton_type+" - "+bouton_mode;
 if(bouton_score!="")innner+=" - "+bouton_score;
 innner+="<br><br>";
 document.getElementById("parametres_jeu").innerHTML=innner;

}

function Verifier()
{
 //Cacher le bouton de validation
 Occulte_element("bouton_verifier");
 Occulte_element("bouton_info");
 Occulte_element("bouton_options");

 //Oblitérer le compteur à nombres
 compteur=false;
 
 //Vérification réponse
 var justefaux="JUSTE"; 
 if (type=="fab")
 //Fabrication
 {
  //Récupération de la réponse
  var rep="";
  var zrep10=document.getElementById("chiffre_compteur_dizaines").innerHTML;
  var zrep1=document.getElementById("chiffre_compteur_unites").innerHTML;
  rep=(parseInt(zrep10) * 10) + parseInt(zrep1);
  
  //Traitement réponse
  if(rep!=nb_scenes)justefaux="FAUX";
 }else{
 //Préparation
  
 }
 //Affichage provisoire
 //alert("Traitement de la réponse :\n\nréponse donnée = "+rep+"\nréponse attendue = "+nb_scenes+"\n\n==> "+justefaux);
 
 //Scores
 if(justefaux=="JUSTE")
 {
  Affiche_element("bravo");
  nbreussites++;
 }else{
  Affiche_element("oups");
 }
 nbcalculs++;
 Regenere_barre_progression();
 if(mode=="competition")
 {
  //Réussir 3 ou 6 onstructions sans limite de temps
  if((score=="objectif3" && parseInt(nbreussites)>=3) || (score=="objectif6" && parseInt(nbreussites)>=6))
  {
   var z=document.getElementById("message_reussi");
   z.innerHTML="Bravo !!!<br>Tu as atteint ton objectif de "+nbreussites+" réussites !";
   Cache_element("bravo");
   Cache_element("oups");
   Affiche_element("reussi");
   nbreussites=0;
   nbcalculs=0;
  }
  if((score=="chrono5" && parseInt(nbreussites)>=5) || (score=="chrono10" && parseInt(nbreussites)>=10))
  {
   Cache_element("bravo");
   Cache_element("oups");
   Stop_chrono();
   if(nbreussites>0)
   {
    var z=document.getElementById("message_reussi");
    z.innerHTML="Bravo !!!<br>Tu as obtenu "+nbreussites+" réussites en "+chrono+" sec !";
    Affiche_element("reussi");
   }else{
    var z=document.getElementById("message_depasse");
    z.innerHTML="Heu...<br>Aucune réussite en "+chrono+" sec...";
    Affiche_element("depasse");
   }
   document.getElementById("chrono").innerHTML=chrono;
   nbreussites=0;
   nbcalculs=0;
   temps=0;
   chrono=0;
  }
  if((score=="minuteur1" && chrono>=60) || (score=="minuteur2" && chrono>=120))
  {
   var z=document.getElementById("message_reussi");
   Stop_chrono();
   z.innerHTML="Bravo !!!<br>Tu as obtenu "+nbreussites+" réussites en "+chrono+" sec !";
   Cache_element("bravo");
   Cache_element("oups");
   Affiche_element("reussi");
   nbreussites=0;
   nbcalculs=0;
  }
 }

}

function Regenere_barre_progression()
{
 barreprog11='';
 barreprog21='';
 var tytype="fabrications"; if(type=="pre")tytype="préparations";
 if((score=="chrono5" | score=="chrono10" || score=="minuteur1" || score=="minuteur2") && mode=="competition")    
 {

  var tititre="temps";
  barreprog11='<div class="compteur_titre bleu">'+tititre+'</div>';
  barreprog21='<div class="compteur bleu" id="chrono">'+chrono+'</div>';
 }
  barreprog1='<div class="compteur_titre blanc l150">'+tytype+'</div><div class="compteur_titre vert">réussies</div><div class="compteur_titre rouge">loupées</div>'+barreprog11+'<div class="clear">';
  barreprog2='<div class="compteur blanc l150">'+nbcalculs+'</div><div class="compteur vert">'+nbreussites+'</div><div class="compteur rouge">'+(nbcalculs-nbreussites)+'</div>'+barreprog21;
  document.getElementById("barre_progression").innerHTML=barreprog1+barreprog2;
}

function Temps_depasse()
{
 Stop_chrono();
 compteur=false;
 deplacement=false;
 Occulte_element("bouton_info");
 Cache_element("bouton_annuler");
 Occulte_element("bouton_annuler");
 Occulte_element("bouton_options");
 Affiche_element("bouton_verifier");
 Occulte_element("bouton_verifier");
 Occulte_element("bouton_ok");
 Affiche_element("bouton_rejouer");
 Cache_element("options");
 Cache_element("page");
 Cache_element("titre_page");
 if(score.substr(0,6)=="chrono")
 {
  var z=document.getElementById("message_depasse");
  z.innerHTML="Oooooh !!!<br>La durée maxi de 10 minutes<br>est écoulée !";
  Affiche_element("depasse");
 }
 if(score.substr(0,8)=="minuteur")
 {
  var plur="s"; var nbmin=2;
  if(score=="minuteur1"){plur="";nbmin=1;}

  if(nbreussites>0)
  {
   var z=document.getElementById("message_reussi");
   z.innerHTML="Bravo !!!<br>Tu as obtenu "+nbreussites+" réussites en "+nbmin+" minute"+plur+" !";
   Affiche_element("reussi");
  }else{
   var z=document.getElementById("message_depasse");
   z.innerHTML="Heu...<br>Aucune réussite en "+nbmin+" minute"+plur+" ?";
   Affiche_element("depasse");
  }

 }
 document.getElementById("chrono").innerHTML=chrono;
 nbreussites=0;
 nbcalculs=0;
 temps=0;
 chrono=0;
}

function Demarre_temps()
{
 zechrono=setInterval(function(){
	 chrono++; 
	 document.getElementById("chrono").innerHTML=chrono;
	 if(chrono>=dureemaxi)Temps_depasse();
	 }, 1000);
}

function Stop_chrono()
{
 clearInterval(zechrono);
}

function Cree_DIV(cn_id,cn_class,cn_zi,cn_top,cn_left,cn_txt)
{
 var cn = document.createElement("DIV");
 cn.id=cn_id;
 cn.style.zIndex=cn_zi; 

 cn.style.top=cn_top + "px";
 cn.style.left=cn_left + "px";

 cn.innerHTML=cn_txt; 
 cn.mobilite=false;

 cn.className=cn_class;

 zones.appendChild(cn);
 return(cn); 
}

function Cree_IMG(cn_id,cn_class,cn_zi,cn_top,cn_left,cn_height,cn_width,cn_src)
{
 var cn = document.createElement("IMG");
 cn.id=cn_id;
 cn.style.zIndex=cn_zi; 

 cn.style.top=cn_top + "px";
 cn.style.left=cn_left + "px";
 cn.style.maxHeight=cn_height + "px";
 cn.style.maxWidth=cn_width + "px";

 cn.src="./ressources/"+cn_src; 
 cn.mobilite=false;

 cn.className=cn_class;

 zones.appendChild(cn);
 return(cn); 
}

function Cree_ETK(ce_i,ce_x,ce_y)
{
 var cn = document.createElement("DIV");
 cn.id="etk_"+ce_i;
 cn.style.zIndex=4; 

 cn.style.top=ce_y + "px";
 cn.style.left=ce_x + "px";

 cn.innerHTML="<table border='0' width='100%' height='100%'><tr><td align='center' valign='bottom'><img src='./ressources/"+objets_noms[ce_i]+".png' style='max-width:50px;max-height:50px;'><br>"+objets_proposes[ce_i]+"</td></tr></table>"; 
 cn.mobilite=false;

 cn.className="etk";

 zones.appendChild(cn);
 return(cn); 
}

function Cree_compteur_objets(ce_i,ce_x,ce_y)
{
 var cn = document.createElement("DIV");
 cn.id="etk_"+ce_i;
 cn.style.zIndex=4; 

 cn.style.top=ce_y + "px";
 cn.style.left=ce_x + "px";

 cn.innerHTML="<table border='0' width='100%' height='100%'><tr><td align='center' valign='bottom'><img src='./ressources/"+objets_noms[ce_i]+".png' style='max-width:46px;max-height:46px;'><br></td></tr></table>"; 
 cn.mobilite=false;

 cn.className="compteur_objets";

 zones.appendChild(cn);
 return(cn); 
}

function Cree_compteur(cc_i,cc_z,cc_x,cc_y)
{
 var cn = document.createElement("DIV");
 cn.id=cc_i;
 cn.style.zIndex=cc_z; 

 cn.style.top=cc_y + "px";
 cn.style.left=cc_x + "px";

 cn.innerHTML="<div class='plus_compteur_auto' onclick='javacript:Incremente_compteur(\"chiffre_"+cc_i+"\");'>+</div>";
 cn.innerHTML+="<div id='chiffre_"+cc_i+"' class='chiffre_compteur_auto'>0</div>";
 cn.innerHTML+="<div class='plus_compteur_auto' onclick='javacript:Decremente_compteur(\"chiffre_"+cc_i+"\");'>-</div>";

 cn.mobilite=false;

 cn.className="compteur_auto";

 zones.appendChild(cn);
 return(cn); 
}

function Cree_compteur1(cc_i,cc_z,cc_x,cc_y)
{
 var cn = document.createElement("DIV");
 cn.id=cc_i;
 cn.style.zIndex=cc_z; 

 cn.style.top=cc_y + "px";
 cn.style.left=cc_x + "px";

 cn.innerHTML="<div class='objet_plus_compteur_auto' onclick='javacript:Incremente_compteur(\"objet_chiffre_"+cc_i+"\");'>+</div>";
 cn.innerHTML+="<div id='objet_chiffre_"+cc_i+"' class='objet_chiffre_compteur_auto'>0</div>";
 cn.innerHTML+="<div class='objet_plus_compteur_auto' onclick='javacript:Decremente_compteur(\"objet_chiffre_"+cc_i+"\");'>-</div>";

 cn.mobilite=false;

 cn.className="objet_compteur_auto";

 zones.appendChild(cn);
 return(cn); 
}

function Incremente_compteur(ic)
{
 if(compteur)
 {
  oic=document.getElementById(ic);
  var zic=parseInt(oic.innerHTML);
  zic=zic + 1;
  if(zic==10)zic=0;
  oic.innerHTML=zic;
 }
}

function Decremente_compteur(ic)
{
 if(compteur)
 {
  oic=document.getElementById(ic);
  var zic=parseInt(oic.innerHTML);
  zic=zic - 1;
  if(zic==-1)zic=9;
  oic.innerHTML=zic;
 }
}
